const express = require('express')
const cors = require('cors')
const app = express()
const { Logger } = require('tslog');

const logger = new Logger({ name: "App" });

app.use(express.urlencoded({ extended: true }))
app.use(express.json())
app.use(cors())

// ROUTES

const AuthRoutes = require("./controllers/routes/auth")
const ImageRoutes = require("./controllers/routes/thread")
const EventRoutes = require("./controllers/routes/event")

app.use('/auth', AuthRoutes)
app.use('/image', ImageRoutes)
app.use('/event', EventRoutes)

app.listen(3333)
logger.info('Server is running !')
app.on('APP_STARTED', ()=>{

})
