const express = require("express");
const router = express.Router()

const {
  getSubscribedEvent,
  getEvent,
  getAllEvent,
  alterSubscribedEventState,
  createNewEvent,
  deleteEvent,
  editEvent
} = require("../../EventController");
const {validateJWT} = require("../../../middlewares/AuthorizationMiddleware");

router.route("/all").get(getAllEvent)
//TODO Get owned event
router.route("/subscribed").get(validateJWT, getSubscribedEvent)
router.route("/subscribed").post(validateJWT, alterSubscribedEventState)
router.route("/new").post(validateJWT, createNewEvent)

router.route("/:id").get(validateJWT, getEvent)
router.route("/:id").patch(validateJWT, editEvent)
router.route("/:id").delete(validateJWT, deleteEvent)

module.exports = router
