const express = require("express");
const {
  CreateThreadController,
  GetThreadByIdController,
  GetAllThreadController,
  UpdateThreadController,
  DeleteThreadController,
  GetUserThreadController
} = require("../../ThreadController");
const {validateJWT} = require("../../../middlewares/AuthorizationMiddleware");

const router = express.Router()

// CREATE
router.route("/new").post(validateJWT, CreateThreadController)

// READ
router.route("/all").get(validateJWT, GetAllThreadController)
router.route("/user").get(validateJWT, GetUserThreadController)
router.route("/:id").get(validateJWT, GetThreadByIdController)

// UPDATE
router.route("/:id").patch(validateJWT, UpdateThreadController)

// DELETE
router.route("/:id").delete(validateJWT, DeleteThreadController)

module.exports = router