const { v4: uuid, parse } = require('uuid');

class Event {
  members = [];
  constructor(title, subTitle, base64Banner, desc, date, were, maxMembers, authorId, id, members) {
    if (!id || parse(id)) {
      this.id = uuid(undefined, undefined, undefined);
    } else {
      this.id = id;
    }
    if (members) {
      this.members = members;
    }
    this.title = title;
    this.subTitle = subTitle;
    this.base64Banner = base64Banner;
    this.desc = desc;
    this.date = date;
    this.were = were;
    this.maxMembers = maxMembers;
    this.authorId = authorId;
    this.members.push(`${authorId}`)
  }
  addMember(memberId) {
    this.members.push(`${memberId}`);
  }
  getMembers() {
      return this.members;
  }
  getMemberCount() {
      return this.members.length;
  }
  removeMember(id) {
        this.members = this.members.filter(member => member !== id);
  }
}
module.exports = {Event};