const Argon2id = require("@node-rs/argon2");

/**
 * Generates a hash from a given password using Argon2id algorithm.
 *
 * @param {string} password - The password to generate a hash for.
 * @return {Promise<string>} - The generated hash.
 */
async function getHashFromPassword(password) {
  return await Argon2id.hash(password,{
    secret: Buffer.from(`${process.env.HASH_SECRET}`),
    algorithm: 2
  })
}

module.exports = {
  getHashFromPassword
}